import { a as __rest, _ as __assign } from '../tslib.es6-20a2a300.js';
import { jsx } from 'react/jsx-runtime';
import { m as makeStyles } from '../makeStyles-c9a99c7a.js';
import { a as createStyles } from '../createStyles-16423e9e.js';
import { M as MuiGrid } from '../Grid-7099154b.js';
import '../defaultTheme-49a26576.js';
import 'react';
import '../clsx.m-6243b874.js';
import '../withStyles-99aeb25b.js';
import '../hoist-non-react-statics.cjs-b718ab87.js';
import '../deprecatedPropType-0232df1e.js';

var useStyles = makeStyles(function (theme) {
    return createStyles({
        root: {
            flexGrow: 1
        }
    });
});
var GridItem = function (_a) {
    var children = _a.children, props = __rest(_a, ["children"]);
    var classes = useStyles();
    return (jsx(MuiGrid, __assign({ item: true, xs: 12 }, props, { className: classes.root }, { children: children }), void 0));
};

export { GridItem as default };
